# List repository activities

Endpoint: GET /code/api/v1/repos/{repo_identifier}/activities
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Account Identifier for the Entity.

  - `orgIdentifier` (string)
    Organization Identifier for the Entity.

  - `projectIdentifier` (string)
    Project Identifier for the Entity.

  - `after` (integer)
    The result should contain only entries created at and after this timestamp (unix millis).

  - `before` (integer)
    The result should contain only entries created before this timestamp (unix millis).

  - `page` (integer)
    The page to return.

  - `limit` (integer)
    The maximum number of results to return.

## Path parameters:

  - `repo_identifier` (string, required)

## Response 200 fields (application/json):

  - `payload` (any)

  - `principal_id` (integer)

  - `repo_id` (integer)

  - `timestamp` (integer)

  - `type` (string)
    Enum: "branch-created", "branch-deleted", "branch-updated"

## Response 400 fields (application/json):

  - `message` (string)

  - `values` (object)


